* this do file generate the variables and run the TSCS regressions as shown in the paper.

*use "C:\Documents and Settings\hmilner\My Documents\internetdata\INT-04-10-04.dta", clear
tsset country date

*gen lags
sort country date
gen l1prites=L1.prights2
gen l1aclp=L1.aclp
gen l1polity=L1.polity

*gen lag DV:
sort country date
g l1intuser_p=L1.intuser_p
g l1hosts_0_ppop=L1.hosts_0_ppop

*create IVs for tscs:
g l1pop_wb=L1.pop_wb	
gen lnpop=ln(pop_wb)
gen l1lnpop=L1.lnpop
g l1war=L1.war 
g l1usheg_g=L1.usheg_gnp 
g l1urban_p=L1.urbpercttl 
g l1telns=L1.telmnlines 
g l1usheg=L1.usheg
g lnrgdpc_wb=ln(gdp_pc_95d)
g l1lnrgdpc_wb=L1.lnrgdpc_wb

bysort date: egen avuser_p=mean( intuser_p)
g ususer=intuser_p if country==72
bysort date (ususer): replace ususer=ususer[1] if missing(ususer)
sort country date
bysort date: egen sumuser_p=sum( intuser_p)
g ususer_wld=ususer/sumuser_p

bysort date: egen avhost_p=mean( hosts_0_ppop)
g ushost=hosts_0_ppop if country==72
bysort date (ushost): replace ushost=ushost[1] if missing(ushost)
bysort date: egen sumhost_p=sum( hosts_0_ppop)
sort country date
g ushost_wld=ushost/sumhost_p

sort country date
g l1telecompriv1 = L1.telecompriv1


*5.1
xtnbreg intuser_p l1polity l1lnrgdpc_wb l1lnpop l1urban_p date, fe

*5.2
xtnbreg intuser_p l1polity l1lnrgdpc_wb l1lnpop l1urban_p l1telns date, fe

*5.3
xtnbreg intuser_p l1polity l1lnrgdpc_wb l1lnpop l1urban_p avuser_p ususer_wld, fe

*5.4
xtnbreg intuser_p l1polity l1lnrgdpc_wb l1lnpop l1urban_p avuser_p ususer_wld l1telecompriv1, fe

*5.5
xtnbreg intuser_p l1aclp l1lnrgdpc_wb l1lnpop l1urban_p avuser_p ususer_wld, fe

*5.6
xtnbreg intuser_p l1prites l1lnrgdpc_wb l1lnpop l1urban_p avuser_p ususer_wld, fe

*6.1
xtnbreg hosts_0_ppop l1polity l1lnrgdpc_wb l1lnpop l1urban_p date, fe

*6.2
xtnbreg hosts_0_ppop l1polity l1lnrgdpc_wb l1lnpop l1urban_p date l1telns, fe

*6.3
xtnbreg hosts_0_ppop l1polity l1lnrgdpc_wb l1lnpop l1urban_p avhost_p ushost_wld, fe

*6.4
xtnbreg hosts_0_ppop l1aclp l1lnrgdpc_wb l1lnpop l1urban_p avhost_p ushost_wld, fe

*6.5
xtnbreg hosts_0_ppop l1prites l1lnrgdpc_wb l1lnpop l1urban_p avhost_p ushost_wld, fe

*6.6
xtnbreg hosts_0_ppop l1polity l1lnrgdpc_wb l1lnpop l1urban_p avhost_p ushost_wld l1telecompriv, fe
